LibreOffice: ModuleUICategoryDescription Service Reference

LibreOffice LibreOffice 5.4 SDK API Reference

Exported Interfaces | List of all members
ModuleUICategoryDescription Service Reference

a service which provides information about the user interface command categories of a single module. More...

`import"ModuleUICategoryDescription.idl";`

Inheritance diagram for ModuleUICategoryDescription:

## Exported Interfaces
interface | com::sun::star::container::XNameAccess
| provides access to user interface command categories of an installed module. More...

## Additional Inherited Members
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

a service which provides information about the user interface command categories of a single module.

Every OpenOffice.org module has an amount of commands that can be used by user interface elements. This service provides access to the user interface commands that are part of a single OpenOffice.org module, like Writer or Calc.

Since
  OOo 2.0

## Exported Interfaces

## ◆ com::sun::star::container::XNameAccess

interface com::sun::star::container::XNameAccess

provides access to user interface command categories of an installed module.

An implementation must provide a language dependent string which can be used by a UI to display the category name. The key to a user interface command category depends on the specific implementation. OpenOffice.org uses a pre-defined number of identifiers defined in com::sun::star::frame::CommandGroup.

See also
  com::sun::star::frame::ModuleManager
  com::sun::star::frame::CommandGroup

The documentation for this service was generated from the following file:

- com/sun/star/ui/ModuleUICategoryDescription.idl